# $Revision: 1.32 $, $Date: 2010/10/28 20:14:49 $
# TODO: package lisp files?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library libgpg-error
Summary(pl.UTF-8):	Biblioteka libgpg-error
Name:		libgpg-error
Version:	1.10
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libgpg-error/%{name}-%{version}.tar.bz2
# Source0-md5:	736a03daa9dc5873047d4eb4a9c22a16
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-gpg_error_config.patch
URL:		http://www.gnupg.org/related_software/libgpg-error/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	libtool >= 2:2.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

%description -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

%package devel
Summary:	Header files for libgpg-error
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgpg-error
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the header files needed to develop programs that
use these libgpg-error.

%description devel -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libgpg-error.

%package static
Summary:	Static version of libgpg-error library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libgpg-error
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgpg-error is a library that defines common error values for all
GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains the static libgpg-error libraries.

%description static -l pl.UTF-8
libgpg-error jest biblioteką definiującą wartości błędów wspólne dla
komponentów GnuPG. Są wśród nich GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon i inne - w przyszłości.

Pakiet zawiera statyczne biblioteki libgpg-error.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libgpg-error.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libgpg-error.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgpg-error.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/gpg-error
%attr(755,root,root) /%{_lib}/libgpg-error.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgpg-error.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-error-config
%attr(755,root,root) %{_libdir}/libgpg-error.so
%{_libdir}/libgpg-error.la
%{_includedir}/gpg-error.h
%{_aclocaldir}/gpg-error.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgpg-error.a
%endif

#%files... lisp or -n lisp-%{name} ???
#%defattr(644,root,root,755)
#%{_datadir}/common-lisp/gpg-error*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgpg-error.spec,v $
Revision 1.32  2010/10/28 20:14:49  qboosh
- updated to 1.10
- updated pl.po-update patch

Revision 1.31  2010/08/05 18:31:49  qboosh
- updated to 1.9
- updated pl.po-update patch

Revision 1.30  2010/05/08 06:25:19  qboosh
- updated to 1.8
- updated patches

Revision 1.29  2008/12/26 16:44:24  qboosh
- updated to 1.7
- updated pl.po-update patch

Revision 1.28  2007/10/31 23:16:39  qboosh
- updated to 1.6
- updated pl.po-update patch

Revision 1.27  2007/07/21 19:03:24  witekfl
-added bcond_without static_libs

Revision 1.26  2007/02/13 12:35:59  tommat
- added gpg-error-config patch to get rid of -L passing to linker

Revision 1.25  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.23  2006/12/01 17:21:50  qboosh
- updated to 1.5, updated pl.po-update patch

Revision 1.22  2006/11/26 16:38:05  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.21  2006/09/15 18:14:13  qboosh
- updated to 1.4

Revision 1.20  2006/03/17 21:42:22  qboosh
- updated to 1.3, updated pl.po-update patch

Revision 1.19  2006/03/04 21:57:15  qboosh
- updated to 1.2, updated pl.po-update patch

Revision 1.18  2005/08/28 13:58:44  qboosh
- more specific URL

Revision 1.17  2005/06/23 20:01:41  qboosh
- updated to 1.1 (bugfixes)

Revision 1.16  2005/03/26 23:43:27  mmazur
- rel 5 for th

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/11/19 23:52:09  qboosh
- only shared lib goes to /%{_lib}, the rest remains in /usr; release 4

Revision 1.13  2004/11/16 15:09:38  wrobell
- fix multi arch problem

Revision 1.12  2004/11/16 12:45:50  wrobell
- move to /lib (for mount dm crypt support)
- rel. 2

Revision 1.11  2004/08/18 22:46:10  qboosh
- updated to 1.0 (no longer alpha)
- removed obsolete pl.po and am18 patch, added pl.po-update patch

Revision 1.10  2004/04/01 19:12:49  qboosh
- rm stamp-po to package pl.gmo; release 2

Revision 1.9  2004/03/08 22:12:38  qboosh
- added gpg-error utility (try: gpg-error 42)

Revision 1.8  2004/03/08 21:30:41  qboosh
- updated to 0.7, updated pl.po

Revision 1.7  2004/02/15 22:57:54  qboosh
- added pl.po, strict internal deps, release 3

Revision 1.6  2003/12/18 09:19:51  wiget
- quotation fix in gpg-error.m4
- release 2

Revision 1.5  2003/11/14 21:37:46  qboosh
- updated to 0.6

Revision 1.4  2003/10/07 19:50:06  qboosh
- 0.5

Revision 1.3  2003/09/07 00:54:23  qboosh
- updated to 0.4, fixed License

Revision 1.2  2003/08/03 10:23:07  qboosh
- updated to 0.3, fixed BR (gettext-devel, not texinfo)

Revision 1.1  2003/06/07 09:22:35  trojan
- initial revision
